Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

## Serial.flush()

#### Description

Flushes the buffer of incoming serial data. That is, any call to Serial.read() or Serial.available() will return only data received after all the most recent call to Serial.flush().

#### Parameters

none

#### Returns

none

#### See also

- Serial.read()
- Serial.available()

Reference Home

Edit Page | Page History | Printable View | All Recent Site Changes